Bug 1264438 - RFE: Respect OnlyShowIn=X-LXQt;
Summary: RFE: Respect OnlyShowIn=X-LXQt;
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: LXQt-0.14
TreeView+ depends on / blocked
 
Reported: 2015-09-18 13:12 UTC by Raphael Groner
Modified: 2019-01-29 07:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-29 07:05:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1264489 None CLOSED [abrt] menu-cache: fm_xml_file_item_get_tag(): menu-cache-gen killed by SIGSEGV 2019-01-27 06:37:34 UTC
Red Hat Bugzilla 1347905 None CLOSED What is the benefit of blocking PCManFM-Qt entry in other desktop environments? 2019-01-27 06:37:33 UTC
Red Hat Bugzilla 1359940 None CLOSED lxqt-applications.menu: missing replacement of string 'LXQt' triggers faulty sorting in panel main menu 2019-01-27 06:37:34 UTC

Internal Links: 1264489 1347905 1359940

Description Raphael Groner 2015-09-18 13:12:09 UTC
Description of problem:
Xfce session tries to start lxqt-panel binary and it crashes without useful backtrace.

Version-Release number of selected component (if applicable):
xfce4-session-4.12.1-6.fc23.x86_64
lxqt-panel-0.9.0-7.fc23.x86_64

How reproducible:
yes

Steps to Reproduce:
1. dnf groupinstall lxqt xfce
2. log into Xfce session
3.

Actual results:
abrt reports lxqt-panel crash

Expected results:
lxqt-panel does not start at all and no abrt notification

Additional info:
$ grep Only /etc/xdg/autostart/lxqt-panel.desktop
OnlyShowIn=X-LXQt;

xfce4-session should automatically disable all autostart entries without 'XFCE;' in OnlyShowIn line if there's any. Propably this has to be reported to upstream.

https://retrace.fedoraproject.org/faf/reports/bthash/b2d3a9c3ec6a4600cbd55efa8fc3b3e505fc8cba
https://retrace.fedoraproject.org/faf/reports/520158/

Comment 1 Raphael Groner 2015-09-18 13:42:15 UTC
CC maintainers lxqt-panel

Comment 2 Raphael Groner 2015-09-18 14:51:55 UTC
This issue happens when autologin is enabled in lightdm.conf and a previous login to LXQt happened, so lightdm seems to get confused what session to start.
CC maintainer lightdm

Comment 3 Rex Dieter 2015-09-18 14:53:05 UTC
What's does this show when that happens?

echo $XDG_CURRENT_DESKTOP

Comment 4 Raphael Groner 2015-09-18 15:13:55 UTC
(In reply to Rex Dieter from comment #3)
> What's does this show when that happens?
> 
> echo $XDG_CURRENT_DESKTOP

I am not able to start any application from inside this broken LXQt session, so do not know how to get the requested information. The empty desktop area is blocked for both left and right mouse button. But clicking on desktop icon (single one is Qt Designer) works, so it's no mouse driver issue.

But I can manage to login to Openbox but lxqt-panel does not show there either, though it seems to be running as a process in background without visible GUI.

There's some doubt xfce4-session is the right component to blame at all. It's better to look deeper into Openbox (and lxqt-panel) first.

Comment 5 Raphael Groner 2015-11-15 16:42:10 UTC
Not sure if this bug is still of any relevance and I'll test later more with parallel installation of Xfce and LXQt, lowing severity for now.

Comment 6 Raphael Groner 2019-01-27 06:41:05 UTC
@Zamir FYI Please verify there's still any issue.
If yes, we'd care with the next major update to LXQt 0.14.0?

Comment 7 Raphael Groner 2019-01-27 06:41:29 UTC
This bug got lost in my TODO list, sorry.

Comment 8 Zamir SUN 2019-01-27 14:36:56 UTC
Aha? I am amazed to see such an issue.

I myself is a XFCE + LXQt user during my working hours and never meet it. I will look into it recently.

Comment 9 Raphael Groner 2019-01-27 18:43:46 UTC
Well, this bug is reported against fc23 packages and Fedora 23 is EOL. No idea if this issue is still reproducible with F28 or F29 as currently in active maintenance.

Further, I am not sure what component is to blame exactly. All those referenced bugs are fixed.

All in all, my opinion tends to close here with unknown reason.

Comment 10 Raphael Groner 2019-01-27 18:45:23 UTC
Means: Maybe close with EOL or WORKSFORME.

Comment 11 Zamir SUN 2019-01-29 07:05:55 UTC
As a LXQt + XFCE daily user I confirm install LXQt and XFCE in parallel in Fedora 29 works fine for me for a long time already.
I also checked the auto login scenario and this no longer happens to me (well, I am running on the newly built LXQt 0.14.0 from my own copr when I check auto login).

So assuming this is fixed somewhere before this is assigned to me.

Feel free to re-open with a clear reproducing step if this still happens.


Note You need to log in before you can comment on or make changes to this bug.